Subject: Re: bug#68690: Segmentation fault building with native-comp

From: Andreas Schwab <[email-masked]>
Date: Fri, 26 Jan 2024 11:18:20 +0100

On Jan 25 2024, Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>> Hmm... I can't reproduce it here (even with native-comp and
>>> `--with-wide-int`).
>> This build is without native-comp, but it's a 32-bit build.  Did you
>> try that?  I think that's the key to unlock this (see below).
>
> I tried 32bit with and without native-comp, and with and without wide-int,
> but can't reproduce it here.  Maybe it only manifest itself under w32?

https://build.opensuse.org/package/live_build_log/home:AndreasSchwab:emacs:master/emacs/13.1/ppc
https://build.opensuse.org/package/live_build_log/home:AndreasSchwab:emacs:master/emacs/a/armv6l
https://build.opensuse.org/package/live_build_log/home:AndreasSchwab:emacs:master/emacs/a/armv7l

They are all 32-bit with wide-int (with and without native-comp).  And
the crash happens since 33b8d5b6c5a.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."